Buy Singer Rechargeable Hair Clipper With Two Detachable Combs Online in Sri Lanka - SINGER
Singer App icon
Singer Sri Lanka
Singer (Sri Lanka) PLC
Free
DOWNLOAD
Singer Rechargeable Hair Clipper With Two Detachable Combs

PRODUCT CODE: SIN-RFC-2012

AVAILABLE
0
0
0
0
0

Rs.4,319 Rs. 5,399

20.00% OFF

Reward Points Icon

Earn 22 RED points with this purchase More Info

Offer Icon

Today's Sale - Offer - Extra 20% off (Price is inclusive of Discount)

Offer Icon

Special Discount - Checkout using Seylan Bank payment method and get extra 10% off T&C

T&C ×

Special Discount - Checkout Using Seylan Bank Payment Methods And Get Extra Discount.
Offer Icon

Pay in 3 X Rs. 1,440 with mint-pay koko

1
1

Delivery - Standard 3 To 5 Working Days.

1 Years(s) Manufacturer Warranty

Find your nearest store to purchase offline.

Name Singer Rechargeable Hair Clipper
Type Hair Trimmers / Clippers
Operating Time Operating Time (When Fully Loaded): 45 Minutes
Charging Time Charging Time: 8 Hrs
Functions One Combination Comb System Can Regulate Cutting Length From 3mm To 15mm
Indicators Indicator Lamp Displayed While Charging
Special Features Thinning Out Function

No Reviews Yet

Be the first to review this product!

  1. Proof of identity - NIC, driving licence or passport.
  2. Age - should be above 18 years.
  3. Proof of residence by submitting one of the below (last bill):
    • Electricity Bill
    • Water Bill
    • Land phone Bill
  4. Proof of income – Ability to provide one of the following documents:
    • Pay Slip
    • Business registration certificate
    • Profit and loss statement
    • Certified income expenses statement for self employed
    • Any other
  5. Two nonrelated guarantors with repayment ability.

  1. Original documents as specified above.
  2. Additional conditions as applicable.
  3. Any further requirements as per the bank's policy.
Product Enquiry
Only letters and spaces allowed
10-15 digits only

Similar Products

Singer Hand Carry Hair Dryer BY503
10.10 offer

SIN-BY503

0
0
0
0
0
Singer Hand Carry Hair Dryer BY503
Rs 4,049
Rs 4,499 10% Off
Singer Multi Functional Hair Trimmer - SIN-RFC-2058
10.10 offer

SIN-RFC-2058

0
0
0
0
0
Singer Multi Functional Hair Trimmer - SIN-RF...
Rs 7,649
Rs 8,499 10% Off
Singer Hair Clipper - SIN-RFC-1819
10.10 offer

SIN-RFC-1819

0
0
0
0
0
Singer Hair Clipper - SIN-RFC-1819
Rs 5,399
Rs 5,999 10% Off
Singer Hair Straightener BY605 - 35W
10.10 offer

SIN-BY605

0
0
0
0
0
Singer Hair Straightener BY605 - 35W
Rs 4,499

Frequently Bought Items

Singer Rice Cooker 1L
10.10 offer

SRC-0510HS

0
0
0
0
0
Singer Rice Cooker 1L
Rs 6,934
Rs 7,299 5% Off
Prestige Ceramic Coating Non-Stick Cookware Fry Pan 24cm Ceraglide Grey - PCRG-FP24-442
10.10 offer

PCRG-FP24-442

0
0
0
0
0
Prestige Ceramic Coating Non-Stick Cookware F...
Rs 5,034
Rs 5,299 5% Off
Global Tools Bike Lock - ATCBLAJMID - Medium (0.8 cm x 53 cm)

BY-ATCBLAJMID

0
0
0
0
0
Global Tools Bike Lock - ATCBLAJMID - Medium...
Rs 599
Singer Digital 5L Air Fryer KA-AFT05014
10.10 offer

KA-AFT05014

0
0
0
0
0
Singer Digital 5L Air Fryer KA-AFT05014
Rs 18,999
Rs 23,999 20.83% Off
Regnis Electric Kettle 1.8L
10.10 offer

REK-LJ18E

0
0
0
0
0
Regnis Electric Kettle 1.8L
Rs 4,749
Rs 4,999 5% Off
Islandwide Delivery
Islandwide Delivery
Fast, reliable delivery
After Sales Service
After Sales Service
Confidence on all your devices
Top-notch Support
Top-notch Support
Here whenever you need us
Trusted Warranty
Trusted Warranty
Warranty for all products